DWH setup required for upgrading Clarity

book

Article ID: 196177

calendar_today

Updated On:

Products

Clarity PPM On Premise

Issue/Introduction

Your upgrade is failing as it is not able to establish connection to Data Warehouse schema (PPM_DWH). Is it mandatory to create a Data Warehouse database for the upgrade if you are not using it. 

Environment

Release : 15.4+

Component : CA PPM DATA WAREHOUSE

Resolution

  • Starting Clarity version 15.4 Data Warehouse is required.
  • Here is the documentation that states it as well:
    Clarity Documentation
    Section: Pre-Upgrade: Installation and Upgrade Dependencies
  • If you are not using DWH you can just create a schema and use it for the Clarity upgrade, and PMO upgrade.
  • Keep in mind that all OOTB reports will be based off Data Warehouse so you might want to look into it to be able to use them.